
set( messagefacility_VERSION 1.16.08 )
set( messagefacility_UPS_VERSION v1_16_08 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( fhiclcpp v2_17_00 )
    find_ups_product( cetlib v1_09_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite v3_07_15_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
      set( MF_MESSAGELOGGER  $ENV{MESSAGEFACILITY_LIB}/libMF_MessageLogger.dylib )
      set( MF_FILEFORMAT  $ENV{MESSAGEFACILITY_LIB}/libMF_FileFormat.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_cout_mfPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_cerr_mfPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_file_mfPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_syslog_mfPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_cout_mfStatsPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_cerr_mfStatsPlugin.dylib )
      set( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN  $ENV{MESSAGEFACILITY_LIB}/libmessagefacility_MessageService_plugins_file_mfStatsPlugin.dylib )
      set( MF_UTILITIES  $ENV{MESSAGEFACILITY_LIB}/libMF_Utilities.dylib )
      include_directories ( $ENV{MESSAGEFACILITY_INC} )
      set( MESSAGEFACILITY_PLUGINVERSIONINFO_PM $ENV{MESSAGEFACILITY_DIR}/perllib/CetSkelPlugins/messagefacility/PluginVersionInfo.pm )
      set( ELDESTINATION_PM $ENV{MESSAGEFACILITY_DIR}/perllib/CetSkelPlugins/ELdestination.pm )

check_required_components(messagefacility)

